Page MenuHomePhabricator

Implement EventStreams client for pywikibot
Closed, ResolvedPublic

Description

Implement EventStream client and deprecate socket.io

Details

Related Gerrit Patches:

Event Timeline

Xqt created this task.Feb 24 2017, 5:50 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptFeb 24 2017, 5:50 AM
Xqt renamed this task from Implement EventStreams client for pywikiboz to Implement EventStreams client for pywikibot.Feb 24 2017, 5:51 AM
Xqt triaged this task as Medium priority.
Xqt added a subscriber: valhallasw.Feb 24 2017, 5:56 AM
Xqt claimed this task.Feb 25 2017, 12:04 PM

Change 345246 had a related patch set uploaded (by Ottomata):
[pywikibot/core@master] Port rcstream to EventStreams recentchange stream

https://gerrit.wikimedia.org/r/345246

Xqt added a comment.Mar 29 2017, 6:16 AM

@Ottomata: I already claimed this task.

@Xqt sorry! I didn't realize that meant you were working on it. I didn't mean to stomp on any toes, I guess I should have asked first. I am prioritizing some of my own work, and the list of things on T156919 is getting smaller, so I just started doing it. I'm happy to abandon my patch if you'd prefer to do it.

Xqt added a comment.Mar 30 2017, 6:09 AM

Indeed I have a patch working in progress which works fine. I am still unhappy with some deprecating parts.

Ok, great, Xqt let’s use yours then. I think you’ll have a better sense of
what to deprecate and how, and also how to make a better interface with
EventStreams in general and its recentchange stream.

Change 346164 had a related patch set uploaded (by Xqt):
[pywikibot/core@master] [WIP] Implement EventStream

https://gerrit.wikimedia.org/r/346164

Change 355115 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/bots/xqbot@master] Use new EventStreams

https://gerrit.wikimedia.org/r/355115

Xqt raised the priority of this task from Medium to High.May 22 2017, 2:43 PM

There is a simple sample of the usage published in https://gerrit.wikimedia.org/r/355115

Xqt added a comment.May 22 2017, 2:51 PM

Hm, btw the first message after starting EventStreams is always empty.

Xqt added a comment.May 23 2017, 3:45 PM

I got a problem with long time test. The eventstream hangs after two hours or so. No KeyboardInterrupt is possible anymore. @Ottomata: any idea? Are there more events than the client script can serve?

Xqt added a comment.May 24 2017, 4:29 AM

Hm, I've been running the python sseclient example from https://wikitech.wikimedia.org/wiki/EventStreams#Python for the last 4 hours, and everything is still working fine.
I haven't tried this code though. It is possible the filtering stuff is doing something weird?

That sample is very simple. my running code rPBXQd1659d160110d4aa3c0290f7cf3369eda3da7eb6#5a719b8a is more complex and there might be several seconds of processing the event if it match the wanted params. The code hangs and it is not an infinite loop thus I think this could be a connection problem maybe a missing timeout. EventStreams uses requests and the timeout is None by default.

We had similar problems in past I guess, see T91236, T102462, T102113 which was (mostly?) solved with d367881.

Another idea is that the processing time is to long for EventStreams? (to be verified) In that case we should have a method to disconnect and resume with the last offset. Or use a threaded EventStream.

A third idea is to implement a watchdog like in T137281.

I'll start with the first idea. Any other suggestions?

Another idea is that the processing time is to long for EventStreams? (to

be verified) In that case we should have a method to disconnect and resume
with the last offset. Or use a threaded EventStream.

If the problem is not being able to process data fast enough, this would
work. You could consume events til a queue fills up, disconnect
EventStreams, and then reconnect with the last event id value from
the queue when you want to start consuming again.

think this could be a connection problem maybe a missing timeout.

EventStreams uses requests and the timeout is None by default.

I’m not sure this will matter here. I think the requests timeout here is
for time to get any response from the server, not timeout for any data to
be received. I could be wrong though. :)

Also, I’ve been running the simple example since yesterday, and it is still
going fine, so I don’t think the issue is with sseclient/requests.

Xqt added a comment.May 28 2017, 5:56 PM

I introduced a timeout to EventStreams and all worked fine for some days wheras it didn't without it. This might be a solution but it isn't clear. Anyway it does not care to have it even it is not needed but it is good to have it if it caused the problem.

Xqt added a comment.Jun 2 2017, 8:38 AM

I got a lot of empty events last time since one of the last enventstreams updates:

>> 09:01:15:

New timestamp: 20170602070116

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..................
Found a new blocking event by user "Aka" for user "Benutzer:5.158.177.26"


>> 09:04:03:

New timestamp: 20170602070403


WARNING: Empty message found.
Waiting for events..................
Found a new edit by user "Serols"


>> 09:05:07:

New timestamp: 20170602070403



auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........
Found a new edit by user "HГq"


>> 09:05:24:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...........
Found a new edit by user "Serols"


>> 09:05:59:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..........
Found a new edit by user "HГq"


>> 09:06:24:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.......
Found a new edit by user "HГq"


>> 09:06:45:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..........
Found a new edit by user "Serols"


>> 09:06:56:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...
Found a new blocking event by user "Dandelo" for user "Benutzer:87.187.24.253"


>> 09:07:10:

New timestamp: 20170602070711

blocked user: 87.187.24.253 blocked by Dandelo,
time: 2017-06-02T07:07:10Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

@@ -94 +94 @@
- == [[Benutzer:87.187.24.253]] ==
+ == [[Benutzer:87.187.24.253]] (erl.) ==

@@ -96 +96,2 @@
- {{Benutzer|87.187.24.253}} benötigt Pause --[[Benutzer:Serols|Serols]] ([[Benu
tzer Diskussion:Serols|Diskussion]]) 09:06, 2. Jun. 2017 (CEST)
+ {{Benutzer|87.187.24.253}} benötigt Pause --[[Benutzer:Serols|Serols]] ([[Benu
tzer Diskussion:Serols|Diskussion]]) 09:06, 2. Jun. 2017 (CEST)
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=87.187.24.253|Admin=Dandelo|Ze
it=6 Stunden|Begründung=[[WP:Vd{{subst:!}}Unsinnige Bearbeitungen]]|subst=subst:
}}

markiere: [[Spezial:Beiträge/87.187.24.253|87.187.24.253]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..........
Found a new blocking event by user "Aka" for user "Benutzer:217.249.58.234"


>> 09:08:01:

New timestamp: 20170602070801

blocked user: 217.249.58.234 blocked by Aka,
time: 2017-06-02T07:08:00Z length: 2 Stunden,
reason: Zerstörungswut

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.......
Found a new edit by user "Pearli"


>> 09:08:33:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...........
Found a new blocking event by user "Armin P." for user "Benutzer:80.147.205.46"


>> 09:09:12:

New timestamp: 20170602070912

blocked user: 80.147.205.46 blocked by Armin P.,
time: 2017-06-02T07:09:11Z length: 6 Stunden,
reason: Kein Wille zur enzyklopädischen Mitarbeit erkennbar

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..............
Found a new blocking event by user "Aka" for user "Benutzer:79.224.10.146"


>> 09:14:44:

New timestamp: 20170602071444


auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.......
Found a new edit by user "Feliks"


>> 09:16:54:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.
Found a new edit by user "HГq"


>> 09:16:57:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.......
Found a new edit by user "Serols"


>> 09:17:19:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...........
Found a new edit by user "Feliks"


>> 09:18:27:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..
Found a new blocking event by user "Graphikus" for user "Benutzer:79.247.182.177
"


>> 09:18:32:

New timestamp: 20170602071832

blocked user: 79.247.182.177 blocked by Graphikus,
time: 2017-06-02T07:18:31Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

@@ -102 +102 @@
- == [[Benutzer:79.247.182.177]] ==
+ == [[Benutzer:79.247.182.177]] (erl.) ==

@@ -106 +106,2 @@
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=79.247.182.177|Admin=Graphikus
|Zeit=6 Stunden|Begründung=[[WP:Vd{{subst:!}}Unsinnige Bearbeitungen]]|subst=sub
st:}}
- == [[Benutzer:79.247.182.177]] ==
+ == [[Benutzer:79.247.182.177]] (erl.) ==

@@ -108 +109,2 @@
- {{Benutzer|79.247.182.177}} benötigt Pause --[[Benutzer:Serols|Serols]] ([[Ben
utzer Diskussion:Serols|Diskussion]]) 09:17, 2. Jun. 2017 (CEST)
+ {{Benutzer|79.247.182.177}} benötigt Pause --[[Benutzer:Serols|Serols]] ([[Ben
utzer Diskussion:Serols|Diskussion]]) 09:17, 2. Jun. 2017 (CEST)
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=79.247.182.177|Admin=Graphikus
|Zeit=6 Stunden|Begründung=[[WP:Vd{{subst:!}}Unsinnige Bearbeitungen]]|subst=sub
st:}}

markiere: [[Spezial:Beiträge/79.247.182.177|79.247.182.177]], [[Spezial:Beiträge
/79.247.182.177|79.247.182.177]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...............
Found a new edit by user "HГq"


>> 09:19:06:

New timestamp: 20170602071832


auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events....
Found a new edit by user "Feliks"


>> 09:19:30:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..............
Found a new edit by user "HГq"


>> 09:20:04:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...
Found a new edit by user "Serols"


>> 09:20:12:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events
Found a new blocking event by user "Graphikus" for user "Benutzer:5.145.3.69"


>> 09:20:15:

New timestamp: 20170602072015

blocked user: 5.145.3.69 blocked by Graphikus,
time: 2017-06-02T07:20:14Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

@@ -89 +89 @@
- == [[Benutzer:5.145.3.69]] ==
+ == [[Benutzer:5.145.3.69]] (erl.) ==

@@ -93,0 +94 @@
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=5.145.3.69|Admin=Graphikus|Zei
t=6 Stunden|Begründung=[[WP:Vd{{subst:!}}Unsinnige Bearbeitungen]]|subst=subst:}
}

@@ -123 +124 @@
- {{Benutzer|88.117.214.26}} benötigt Pause --[[Benutzer:Serols|Serols]] ([[Benu
tzer Diskussion:Serols|Diskussion]]) 09:20, 2. Jun. 2017 (CEST)
+ {{Benutzer|88.117.214.26}} benötigt Pause --[[Benutzer:Serols|Serols]] ([[Benu
tzer Diskussion:Serols|Diskussion]]) 09:20, 2. Jun. 2017 (CEST)

markiere: [[Spezial:Beiträge/5.145.3.69|5.145.3.69]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........
Found a new edit by user "Feliks"


>> 09:20:29:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..
Found a new blocking event by user "Graphikus" for user "Benutzer:77.22.125.222"



>> 09:20:44:

New timestamp: 20170602072044

blocked user: 77.22.125.222 blocked by Graphikus,
time: 2017-06-02T07:20:43Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

@@ -113 +113 @@
- == [[Benutzer:77.22.125.222]] ==
+ == [[Benutzer:77.22.125.222]] (erl.) ==

@@ -116,0 +117 @@
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=77.22.125.222|Admin=Graphikus|
Zeit=6 Stunden|Begründung=[[WP:Vd{{subst:!}}Unsinnige Bearbeitungen]]|subst=subs
t:}}

@@ -123 +124 @@
- {{Benutzer|88.117.214.26}} benötigt Pause --[[Benutzer:Serols|Serols]] ([[Benu
tzer Diskussion:Serols|Diskussion]]) 09:20, 2. Jun. 2017 (CEST)
+ {{Benutzer|88.117.214.26}} benötigt Pause --[[Benutzer:Serols|Serols]] ([[Benu
tzer Diskussion:Serols|Diskussion]]) 09:20, 2. Jun. 2017 (CEST)

markiere: [[Spezial:Beiträge/77.22.125.222|77.22.125.222]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events......
Found a new edit by user "HГq"


>> 09:21:16:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events
Found a new blocking event by user "Graphikus" for user "Benutzer:88.117.214.26"



>> 09:21:26:

New timestamp: 20170602072127

blocked user: 88.117.214.26 blocked by Graphikus,
time: 2017-06-02T07:21:26Z length: 6 Stunden,
reason: Erstellen unerwünschter Einträge; vergleiche dazu [[Wikipedia:Artikel]]

@@ -122 +122 @@
- == [[Benutzer:88.117.214.26]] ==
+ == [[Benutzer:88.117.214.26]] (erl.) ==

@@ -125,0 +126 @@
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=88.117.214.26|Admin=Graphikus|
Zeit=6 Stunden|Begründung=Erstellen unerwünschter Einträge; vergleiche dazu [[Wi
kipedia:Artikel]]|subst=subst:}}

@@ -128 +129 @@
- {{Benutzer|78.94.146.90}} vandaliert herum; siehe Beiträge --[[Benutzer:HГq|HГ
<sub>ףּ</sub>]] <small><sup>([[Benutzer Diskussion:HГq|D]])</sup></small> 09:21,
 2. Jun. 2017 (CEST)
+ {{Benutzer|78.94.146.90}} vandaliert herum; siehe Beiträge --[[Benutzer:HГq|HГ
<sub>ףּ</sub>]] <small><sup>([[Benutzer Diskussion:HГq|D]])</sup></small> 09:21,
 2. Jun. 2017 (CEST)

markiere: [[Spezial:Beiträge/88.117.214.26|88.117.214.26]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events....
Found a new blocking event by user "Armin P." for user "Benutzer:78.94.146.90"


>> 09:21:36:

New timestamp: 20170602072136

blocked user: 78.94.146.90 blocked by Armin P.,
time: 2017-06-02T07:21:35Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

@@ -127 +127 @@
- == [[Benutzer:78.94.146.90]] ==
+ == [[Benutzer:78.94.146.90]] (erl.) ==

@@ -129 +129,2 @@
- {{Benutzer|78.94.146.90}} vandaliert herum; siehe Beiträge --[[Benutzer:HГq|HГ
<sub>ףּ</sub>]] <small><sup>([[Benutzer Diskussion:HГq|D]])</sup></small> 09:21,
 2. Jun. 2017 (CEST)
+ {{Benutzer|78.94.146.90}} vandaliert herum; siehe Beiträge --[[Benutzer:HГq|HГ
<sub>ףּ</sub>]] <small><sup>([[Benutzer Diskussion:HГq|D]])</sup></small> 09:21,
 2. Jun. 2017 (CEST)
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=78.94.146.90|Admin=Armin P.|Ze
it=6 Stunden|Begründung=[[WP:Vd{{subst:!}}Unsinnige Bearbeitungen]]|subst=subst:
}}

markiere: [[Spezial:Beiträge/78.94.146.90|78.94.146.90]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.........
Found a new blocking event by user "Armin P." for user "Benutzer:193.198.174.141
"


>> 09:22:01:

New timestamp: 20170602072201

blocked user: 193.198.174.141 blocked by Armin P.,
time: 2017-06-02T07:22:00Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

@@ -94 +94 @@
- == [[Benutzer:193.198.174.141]] ==
+ == [[Benutzer:193.198.174.141]] (erl.) ==

@@ -97,0 +98 @@
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=193.198.174.141|Admin=Armin P.
|Zeit=6 Stunden|Begründung=[[WP:Vd{{subst:!}}Unsinnige Bearbeitungen]]|subst=sub
st:}}

@@ -130 +131 @@
- <div style='clear:both;padding:0 5px 0 15px; border-left: 2px green solid;bord
er-right:2px green solid;'>78.94.146.90 wurde von <span class="plainlinks">[{{ca
nonicalurl:User:Armin P.}} Armin P.]</span> für ''6 Stunden'' gesperrt, Begründu
ng war: ''[[WP:Vd|Unsinnige Bearbeitungen]]''. –[[Benutzer:Xqbot|Xqbot]] ([[Benu
tzer Diskussion:Xqbot|Diskussion]]) 09:21, 2. Jun. 2017 (CEST)</div>
+ <div style='clear:both;padding:0 5px 0 15px; border-left: 2px green solid;bord
er-right:2px green solid;'>78.94.146.90 wurde von <span class="plainlinks">[{{ca
nonicalurl:User:Armin P.}} Armin P.]</span> für ''6 Stunden'' gesperrt, Begründu
ng war: ''[[WP:Vd|Unsinnige Bearbeitungen]]''. –[[Benutzer:Xqbot|Xqbot]] ([[Benu
tzer Diskussion:Xqbot|Diskussion]]) 09:21, 2. Jun. 2017 (CEST)</div>

markiere: [[Spezial:Beiträge/193.198.174.141|193.198.174.141]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...............
Found a new blocking event by user "Graphikus" for user "Benutzer:91.3.57.103"


>> 09:23:29:

New timestamp: 20170602072329


@@ -119 +119 @@
- == [[Benutzer:91.3.57.103]] ==
+ == [[Benutzer:91.3.57.103]] (erl.) ==

@@ -122,0 +123 @@
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=91.3.57.103|Admin=Graphikus|Ze
it=6 Stunden|Begründung=Erstellen unerwünschter Einträge; vergleiche dazu [[Wiki
pedia:Artikel]]|subst=subst:}}

@@ -131 +132 @@
- <div style='clear:both;padding:0 5px 0 15px; border-left: 2px green solid;bord
er-right:2px green solid;'>78.94.146.90 wurde von <span class="plainlinks">[{{ca
nonicalurl:User:Armin P.}} Armin P.]</span> für ''6 Stunden'' gesperrt, Begründu
ng war: ''[[WP:Vd|Unsinnige Bearbeitungen]]''. –[[Benutzer:Xqbot|Xqbot]] ([[Benu
tzer Diskussion:Xqbot|Diskussion]]) 09:21, 2. Jun. 2017 (CEST)</div>
+ <div style='clear:both;padding:0 5px 0 15px; border-left: 2px green solid;bord
er-right:2px green solid;'>78.94.146.90 wurde von <span class="plainlinks">[{{ca
nonicalurl:User:Armin P.}} Armin P.]</span> für ''6 Stunden'' gesperrt, Begründu
ng war: ''[[WP:Vd|Unsinnige Bearbeitungen]]''. –[[Benutzer:Xqbot|Xqbot]] ([[Benu
tzer Diskussion:Xqbot|Diskussion]]) 09:21, 2. Jun. 2017 (CEST)</div>

markiere: [[Spezial:Beiträge/91.3.57.103|91.3.57.103]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...........
Found a new blocking event by user "Armin P." for user "Benutzer:91.40.57.211"


>> 09:23:59:

New timestamp: 20170602072400

blocked user: 91.40.57.211 blocked by Armin P.,
time: 2017-06-02T07:23:59Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..........
Found a new blocking event by user "Armin P." for user "Benutzer:85.220.141.146"



>> 09:24:21:

New timestamp: 20170602072422

blocked user: 85.220.141.146 blocked by Armin P.,
time: 2017-06-02T07:24:21Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..................
Found a new blocking event by user "Armin P." for user "Benutzer:2.247.250.233"


>> 09:25:13:

New timestamp: 20170602072513

blocked user: 2.247.250.233 blocked by Armin P.,
time: 2017-06-02T07:25:12Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...
Found a new edit by user "Bwag"


>> 09:28:25:

New timestamp: 20170602072513



WARNING: Empty message found.
Waiting for events.............
Found a new edit by user "Bwag"


>> 09:30:29:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........
Found a new edit by user "Pearli"


>> 09:31:39:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........................
Found a new edit by user "Pearli"


>> 09:33:45:

New timestamp: 20170602072513


auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..........
Found a new edit by user "Feliks"


>> 09:34:09:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...............
Found a new edit by user "Feliks"


>> 09:34:55:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events............
Found a new edit by user "RoBri"


>> 09:42:25:

New timestamp: 20170602072513


auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...
Found a new blocking event by user "Hydro" for user "Benutzer:2.247.253.68"


>> 09:43:44:

New timestamp: 20170602074345

blocked user: 2.247.253.68 blocked by Hydro,
time: 2017-06-02T07:43:44Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

@@ -138 +138 @@
- == [[Benutzer:2.247.253.68]] ==
+ == [[Benutzer:2.247.253.68]] (erl.) ==

@@ -140 +140,2 @@
- {{Benutzer|2.247.253.68}} Unsinn --[[Benutzer:RoBri|Roger]] ([[Benutzer Diskus
sion:RoBri|Diskussion]]) 09:42, 2. Jun. 2017 (CEST)
+ {{Benutzer|2.247.253.68}} Unsinn --[[Benutzer:RoBri|Roger]] ([[Benutzer Diskus
sion:RoBri|Diskussion]]) 09:42, 2. Jun. 2017 (CEST)
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=2.247.253.68|Admin=Hydro|Zeit=
6 Stunden|Begründung=[[WP:Vd{{subst:!}}Unsinnige Bearbeitungen]]|subst=subst:}}

markiere: [[Spezial:Beiträge/2.247.253.68|2.247.253.68]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events
Found a new edit by user "Eingangskontrolle"


>> 09:44:55:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........
Found a new edit by user "Eingangskontrolle"


>> 09:49:45:

New timestamp: 20170602074345


auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events....
Found a new blocking event by user "Logograph" for user "Benutzer:212.117.127.17
5"


>> 09:49:55:

New timestamp: 20170602074956

blocked user: 212.117.127.175 blocked by Logograph,
time: 2017-06-02T07:49:55Z length: 6 Stunden,
reason: geh bitte draußen spielen

@@ -143 +143 @@
- == [[Benutzer:212.117.127.175]] ==
+ == [[Benutzer:212.117.127.175]] (erl.) ==

@@ -146 +146,2 @@
- :Die letzten Edits (d.h. seit Anfang des Jahres) nur Unfug. --[[Benutzer:Einga
ngskontrolle|Eingangskontrolle]] ([[Benutzer Diskussion:Eingangskontrolle|Diskus
sion]]) 09:49, 2. Jun. 2017 (CEST)
+ :Die letzten Edits (d.h. seit Anfang des Jahres) nur Unfug. --[[Benutzer:Einga
ngskontrolle|Eingangskontrolle]] ([[Benutzer Diskussion:Eingangskontrolle|Diskus
sion]]) 09:49, 2. Jun. 2017 (CEST)
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=212.117.127.175|Admin=Logograp
h|Zeit=6 Stunden|Begründung=geh bitte draußen spielen|subst=subst:}}

markiere: [[Spezial:Beiträge/212.117.127.175|212.117.127.175]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events
Found a new edit by user "Eingangskontrolle"


>> 09:52:05:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events............
Found a new blocking event by user "Logograph" for user "Benutzer:46.237.200.42"



>> 09:54:11:

New timestamp: 20170602075411


auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events...........
Found a new blocking event by user "Logograph" for user "Benutzer:83.175.127.231
"


>> 09:54:37:

New timestamp: 20170602075437

blocked user: 83.175.127.231 blocked by Logograph,
time: 2017-06-02T07:54:36Z length: 6 Stunden,
reason: geh bitte draußen spielen

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.
Found a new blocking event by user "Logograph" for user "Benutzer:194.232.84.62"



>> 09:55:29:

New timestamp: 20170602075529

blocked user: 194.232.84.62 blocked by Logograph,
time: 2017-06-02T07:55:28Z length: 6 Stunden,
reason: geh bitte draußen spielen

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events............
Found a new blocking event by user "Logograph" for user "Benutzer:141.10.77.138"



>> 09:56:05:

New timestamp: 20170602075605

blocked user: 141.10.77.138 blocked by Logograph,
time: 2017-06-02T07:56:04Z length: 6 Stunden,
reason: geh bitte draußen spielen

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.....
Found a new edit by user "Serols"


>> 09:56:15:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..
Found a new blocking event by user "Nolispanmo" for user "Benutzer:193.171.224.1
54"


>> 09:56:33:

New timestamp: 20170602075633

blocked user: 193.171.224.154 blocked by Nolispanmo,
time: 2017-06-02T07:56:32Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.................
Found a new blocking event by user "Logograph" for user "Benutzer:46.125.250.24"



>> 09:57:22:

New timestamp: 20170602075722

blocked user: 46.125.250.24 blocked by Logograph,
time: 2017-06-02T07:57:21Z length: 6 Stunden,
reason: geh bitte draußen spielen

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events..............
Found a new blocking event by user "Logograph" for user "Benutzer:87.179.16.166"



>> 09:58:00:

New timestamp: 20170602075801

blocked user: 87.179.16.166 blocked by Logograph,
time: 2017-06-02T07:58:00Z length: 6 Stunden,
reason: geh bitte draußen spielen

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........................
Found a new edit by user "Fiona B."


>> 10:04:38:

New timestamp: 20170602075801



@@ -153 +153 @@
- == [[Benutzer:194.232.84.62]] ==
+ == [[Benutzer:194.232.84.62]] (erl.) ==

@@ -155 +155,2 @@
- {{Benutzer|194.232.84.62}} IP '''war''' dauerhaft gesperrt - jetz geht es wied
er los --[[Benutzer:Serols|Serols]] ([[Benutzer Diskussion:Serols|Diskussion]])
09:56, 2. Jun. 2017 (CEST)
+ {{Benutzer|194.232.84.62}} IP '''war''' dauerhaft gesperrt - jetz geht es wied
er los --[[Benutzer:Serols|Serols]] ([[Benutzer Diskussion:Serols|Diskussion]])
09:56, 2. Jun. 2017 (CEST)
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=194.232.84.62|Admin=Logograph|
Zeit=6 Stunden|Begründung=geh bitte draußen spielen|subst=subst:}}

markiere: [[Spezial:Beiträge/194.232.84.62|194.232.84.62]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........
Found a new edit by user "Fiona B."


>> 10:05:22:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........
Found a new edit by user "Fiona B."


>> 10:06:07:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events......
Found a new blocking event by user "Logograph" for user "Benutzer:141.91.210.156
"


>> 10:06:40:

New timestamp: 20170602080641

blocked user: 141.91.210.156 blocked by Logograph,
time: 2017-06-02T08:06:40Z length: 3 Monat,
reason: nur Unfug von dieser IP

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events........
Found a new blocking event by user "Seewolf" for user "Benutzer:2A01:598:8982:16
8D:3984:70D0:DED7:487D"


>> 10:08:11:

New timestamp: 20170602080812

blocked user: 2A01:598:8982:168D:3984:70D0:DED7:487D blocked by Seewolf,
time: 2017-06-02T08:08:11Z length: 1 Woche,
reason: Sperrumgehung, keine Besserung erkennbar: arcy

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events.....................
Found a new edit by user "HГq"


>> 10:11:22:

New timestamp: 20170602080812


WARNING: Empty message found.
Waiting for events..........
Found a new blocking event by user "Dandelo" for user "Benutzer:87.203.203.132"


>> 10:11:57:

New timestamp: 20170602081158

blocked user: 87.203.203.132 blocked by Dandelo,
time: 2017-06-02T08:11:57Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51
defendant: Bwag, accuser: Fiona B., time: 2017 Jun 2 08:20

WARNING: Empty message found.
Waiting for events......
Found a new edit by user "He3nry"


>> 10:12:17:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51

WARNING: Empty message found.
Waiting for events
Found a new edit by user "Feliks"


>> 10:12:22:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51

WARNING: Empty message found.
Waiting for events.
Found a new edit by user "Fiona B."


>> 10:12:28:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51

WARNING: Empty message found.
Waiting for events.......
Found a new blocking event by user "He3nry" for user "Benutzer:193.170.219.162"


>> 10:12:50:

New timestamp: 20170602081251

blocked user: 193.170.219.162 blocked by He3nry,
time: 2017-06-02T08:12:50Z length: unbeschränkt,
reason: Schule dauerhaft vom Netz

@@ -161 +161 @@
- == [[Benutzer:193.170.219.162]] ==
+ == [[Benutzer:193.170.219.162]] (erl.) ==

@@ -163 +163,2 @@
- {{Benutzer|193.170.219.162}} macht Ärger; siehe Beiträge --[[Benutzer:HГq|HГ<s
ub>ףּ</sub>]] <small><sup>([[Benutzer Diskussion:HГq|D]])</sup></small> 10:11, 2
. Jun. 2017 (CEST)
+ {{Benutzer|193.170.219.162}} macht Ärger; siehe Beiträge --[[Benutzer:HГq|HГ<s
ub>ףּ</sub>]] <small><sup>([[Benutzer Diskussion:HГq|D]])</sup></small> 10:11, 2
. Jun. 2017 (CEST)
+ {{subst:Benutzer:Euku/Vorlage:VM-erl|Gemeldeter=193.170.219.162|Admin=He3nry|Z
eit=unbeschränkt|Begründung=Schule dauerhaft vom Netz|subst=subst:}}

markiere: [[Spezial:Beiträge/193.170.219.162|193.170.219.162]]
Page [[Wikipedia:Vandalismusmeldung]] saved
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51

WARNING: Empty message found.
Waiting for events.......................
Found a new edit by user "He3nry"


>> 10:14:36:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51

WARNING: Empty message found.
Waiting for events.......
Found a new edit by user "He3nry"


>> 10:14:56:
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51

WARNING: Empty message found.
Waiting for events.........
Found a new blocking event by user "Armin P." for user "Benutzer:217.248.11.4"


>> 10:17:01:

New timestamp: 20170602081701


>> 10:17:23:

New timestamp: 20170602081724

blocked user: 84.149.67.210 blocked by Armin P.,
time: 2017-06-02T08:17:23Z length: 6 Stunden,
reason: [[WP:Vd|Unsinnige Bearbeitungen]]

auf VM ist nichts zu tun
Ignoring opted out defendant Benqo
defendant: Saidmann, accuser: Jensbest, time: 2017 Jun 2 00:51

WARNING: Empty message found.
Waiting for events.......
Found a new edit by user "He3nry"


>> 10:19:37:
Ignoring opted out defendant Benqo

WARNING: Empty message found.
Waiting for events..........
Xqt added a comment.Jun 2 2017, 9:13 AM

I see, the EventSource instance was instantiatet multiple times. I'll fix it.

Change 346164 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Implement EventStreams

https://gerrit.wikimedia.org/r/346164

Xqt closed this task as Resolved.Jun 11 2017, 2:48 PM

Change 345246 abandoned by Xqt:
Add EventStreams interface for generic EventStreams and for recentchanges

Reason:
ed61b0f is already merged.

https://gerrit.wikimedia.org/r/345246